## libpam-unix2 2.4.1

=== debian/changelog ===
libpam-unix2 (1:2.4.1-6) unstable; urgency=low

  * QA upload.
  * Bump standards version to 3.9.3.
  * Avoid recursively forking unix2_chkpwd (closes: #544687). Thanks to
    Michael Fladischer for the bug report.
  * Add trigger file and postinst/postrm scripts to make unix2_chkpwd setuid
    root if nis is installed (see: #155583, #544687). Thanks to Christoph
    Pleger for the bug report.
  * Drop obsolete postrm snippet to clean after upgrades from etch.
  * Fix a typo in CPPFLAGS variable name.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 10 Jun 2012 22:01:22 +0200

libpam-unix2 (1:2.4.1-5) unstable; urgency=low

  * QA upload (see #628848).
    + Set Maintainer to Debian QA Group.
  * Switch to source format 3.0 (quilt):
    + Add debian/source/format.
    + Rename debian/patch/00list to debian/patches/series.
    + Use .diff extension (rather than .dpatch) for patches.
    + Use DEP-3 for patch headers (rather than the dpatch-specific format).
    + Add extend-diff-ignore to debian/source/options, so that changes to
      config.{sub,guess} are ignored. 
    + Remove explicit (un)patching code from debian/rules.
    + Remove dpatch from Build-Depends.
  * Use "<<" relation (rather than "<", which is deprecated).
  * Add ${misc:Depends}.
  * Bump debhelper compatibility level to 7:
    + Update debian/compat.
    + Update Build-Depends.
    + Use ‘dh_prep’ instead of ‘dh_clean -k’.
    + Don't remove build-stamp explicitly, it's now handled by dh_clean.
  * Acquire CFLAGS, CPPFLAGS and LDFLAGS from dpkg-buildflags and pass them to
    the configure script:
    + Update debian/rules.
    + Build depend on dpkg-dev (>= 1.15.7).
    + Add patch to fix FTBFS with -Werror=format-security.
  * Improve debian/rules:
    + Remove useless comments.
    + Don't ignore errors from ‘make distclean’.
    + Run ‘make clean’ in the unix2_chkpwd subdirectory instead of removing
      the files manually.
    + Update config.{sub,guess} unconditionally.
    + Don't fiddle with INSTALL_PROGRAM variable, as dh_strip does the right
      thing.
    + Pass --host to the configure script only when cross-compiling.
    + Don't depend on build* targets in binary-indep.
    + Merge install target into binary-arch.
    + Use dh_install instead of dh_movefiles.
    + Add build-arch and build-indep targets.
  * Improve debian/watch:
    + Upgrade version to 3.
    + Remove useless comments.
    + Remove ‘debian uupdate’.
  * Bump standards version to 3.9.2 (no changes needed).
  * Install /sbin/unix2_chkpwd as setgid shadow (rather than setuid root). Add
    lintian override for setgid-binary.
  * Respect LDFLAGS when building /sbin/unix2_chkpwd. Change link order, so
    that linking works with --as-needed (closes: #640942). Thanks to Colin
    Watson for the bug report.
  * Build-Depend on autotools-dev (needed for fresh config.{sub,guess}
    copies). Remove unused build-dependency on libtool.
  * Run autoreconf at build-time.
    + Add automake to Build-Depends.
    + Update debian/rules.
    + Update extend-diff-ignore in debian/source/options.
  * Reword README.Debian, so that it's clear that Debian version does _not_
    use /etc/default/passwd (closes: #655565). Thanks to Vincent McIntyre for
    the bug report.
  * Fix typos in the configuration file and in the pam_unix2(8) manual page.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 14 Jan 2012 01:57:57 +0100

libpam-unix2 (1:2.4.1-4) unstable; urgency=low

  * Don't error out on purging when obsolete /etc/security/pam_unix2.conf
    doesn't exist (closes: Bug#530903).

 -- Ivan Kohler <ivan-debian@420.am>  Mon, 08 Jun 2009 19:56:56 -0700

libpam-unix2 (1:2.4.1-3) unstable; urgency=low

  * Fix watch file to be more accurate.

 -- Ivan Kohler <ivan-debian@420.am>  Tue, 26 Aug 2008 09:42:37 -0700

libpam-unix2 (1:2.4.1-2) unstable; urgency=low

  * Update Build-Deps on libxcrypt to 1:2.4 to fix FTBFS (closes: Bug#492814)

 -- Ivan Kohler <ivan-debian@420.am>  Tue, 29 Jul 2008 19:17:52 -0700

libpam-unix2 (1:2.4.1-1) unstable; urgency=low

  * Revert to upstream 2.4.1 to get this compiled & working against lenny
    libxcrypt (closes: Bug#487487).

 -- Ivan Kohler <ivan-debian@420.am>  Tue, 22 Jul 2008 15:47:23 -0700

libpam-unix2 (2.5.0-3) unstable; urgency=low

  * Update watch file for new upstream x.y.z versioning.

 -- Ivan Kohler <ivan-debian@420.am>  Tue, 10 Jun 2008 14:24:34 -0700

libpam-unix2 (2.5.0-2) unstable; urgency=low

  * Remove obsolete /etc/security/pam_unix2.conf config file from etch version
    on purge (closes: Bug#455033).
  * Clean up after unix2_chkpwd on "make clean".

 -- Ivan Kohler <ivan-debian@420.am>  Tue, 03 Jun 2008 16:42:08 -0700

libpam-unix2 (2.5.0-1) unstable; urgency=low

  * New upstream release
  * Many, many thanks to Christoph Pleger for the unix2_chkpwd helper binary
    patch and to Steve Kemp for auditing the changes (closes: Bug#295526)

 -- Ivan Kohler <ivan-debian@420.am>  Mon, 19 May 2008 19:17:29 -0700

libpam-unix2 (2.1-5) unstable; urgency=low

  * Use unix2_chkpwd as helper binary

 -- Christoph Pleger <Christoph.Pleger@tu-dortmund.de>  Tue, 13 May 2008 13:33:53 +0200

libpam-unix2 (2.1-4) unstable; urgency=low

  * Build against pam 0.99.7.1-1 (closes: Bug#429023)

 -- Ivan Kohler <ivan-debian@420.am>  Wed, 08 Aug 2007 18:03:27 -0700

libpam-unix2 (2.1-3) unstable; urgency=low

  * Add Build-Dep: libpam0g-dev (>= 0.81) (closes: Bug#429023)

 -- Ivan Kohler <ivan-debian@420.am>  Tue, 19 Jun 2007 12:10:19 -0700

libpam-unix2 (2.1-2) unstable; urgency=low

  * Brown-Paper-Bag-Release: Build-Dep on dpatch, though! (closes: Bug#428553)

 -- Ivan Kohler <ivan-debian@420.am>  Tue, 12 Jun 2007 09:59:12 -0700

libpam-unix2 (2.1-1) unstable; urgency=low

  * New upstream release
    + Fix segfault on amd64 arch (& warning on i386) by replacing alloca with
      malloc (closes: Bug#351217)
    + Updates de.po translation; incorporates still-relevant changes from

