=== debian/control ===
Source: libpam-unix2
Section: admin
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.15.7),
 libpam0g-dev (>= 0.81),
 autoconf, automake,
 libxcrypt-dev (>= 1:2.4), libxcrypt-dev (<< 1:3.0)
Build-Conflicts: libxcrypt2
Standards-Version: 3.9.3

Package: libpam-unix2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Blowfish-capable PAM module
 This is a PAM module, backward-compatible with pam_unix, that additionally
 supports bcrypt Blowfish-based password hashing.
