=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags = --build $(DEB_HOST_GNU_TYPE)
else
  confflags = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif
confflags += --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

export CFLAGS = -Wall $(shell dpkg-buildflags --get CFLAGS)
export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

config.status: configure
	dh_testdir
	autoreconf -vf
	cp -f /usr/share/misc/config.sub config.sub
	cp -f /usr/share/misc/config.guess config.guess
	./configure $(confflags)

.PHONY: build build-arch build-indep
build: build-arch build-indep
build-indep: ;
build-arch: build-stamp

build-stamp: config.status
	dh_testdir
	$(MAKE)
	$(MAKE) -C unix2_chkpwd
	touch build-stamp

.PHONY: clean
clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	$(MAKE) -C unix2_chkpwd clean
	dh_clean 

.PHONY: binary binary-arch binary-indep
binary: binary-arch binary-indep
binary-indep: ;
binary-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C unix2_chkpwd install DESTDIR=$(CURDIR)/debian/tmp
	mkdir debian/tmp/etc/security
	mv debian/tmp/etc/default/passwd debian/tmp/etc/security/pam_unix2.default
	rmdir debian/tmp/etc/default
	dh_install
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms --exclude /sbin/unix2_chkpwd
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
