## libpam-unix2 2.6

=== debian/changelog ===
libpam-unix2 (1:2.6-2) unstable; urgency=low

  [ Hideki Yamane ]
  * QA upload.
  * debian/rules
    - add "-i" option to autoreconf (Closes: #725569)
  * debian/control
    - add "Build-Depends: autopoint" as above change
  * debian/patches
    - add specify-gettext-version.patch

  [ Michael Ablassmeier ]
  *  QA Upload with changes by Hideki Yamane to fix FTBFS

 -- Hideki Yamane <henrich@debian.org>  Thu, 17 Oct 2013 10:55:57 +0900

libpam-unix2 (1:2.6-1) unstable; urgency=low

  * QA upload.
  * New upstream version.
  * New patch 05_glibc216.diff to get the source to build with the
    new glibc version without the locking functions used
    (Closes: #701308).  Thanks to Andreas Jaeger for the patch
    and Thorsten Kukuk for letting me know where to find it.
  * New patch 06_format_security.diff to fix format issue with
    pam_sysloc() call.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 01 Jul 2013 09:10:06 +0200
