=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.15.7),
  libpam0g-dev (>= 0.81),
- autoconf, automake,
+ autoconf, automake, autopoint,
  libxcrypt-dev (>= 1:2.4), libxcrypt-dev (<< 1:3.0)
 Build-Conflicts: libxcrypt2
 Standards-Version: 3.9.3
