=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 config.status: configure
 	dh_testdir
-	autoreconf -vf
+	autoreconf -vif
 	cp -f /usr/share/misc/config.sub config.sub
 	cp -f /usr/share/misc/config.guess config.guess
 	./configure $(confflags)
