=== debian/watch ===
version=3
ftp://ftp.suse.com/pub/people/kukuk/pam/pam_unix2/pam_unix2-(\w+\.[\w\.]+)\.tar\.bz2
